<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('data_penilaian', function (Blueprint $table) {
        $table->id();
        $table->foreignId('alternatif_id')->constrained('data_alternatifs')->onDelete('cascade');
        $table->foreignId('kriteria_id')->constrained('data_kriterias')->onDelete('cascade');
        $table->foreignId('subkriteria_id')->constrained('data_sub_kriterias')->onDelete('cascade');
        $table->timestamps();
    });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('data_penilaian');
    }
};
